Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.unix
Class X11.XModifierKeymapRef

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.unix.X11.XModifierKeymapRef

All Implemented Interfaces:
  com.sun.jna.Structure.ByReference

Enclosing interface:
  X11

    public static class X11.XModifierKeymapRef

extends com.sun.jna.Structure
implements com.sun.jna.Structure.ByReference

The modifiermap member of the XModifierKeymap structure contains 8 sets of max_keypermod KeyCodes, one for each modifier in the order Shift, Lock, Control, Mod1, Mod2, Mod3, Mod4, and Mod5. Only nonzero KeyCodes have meaning in each set, and zero KeyCodes are ignored. In addition, all of the nonzero KeyCodes must be in the range specified by min_keycode and max_keycode in the Display structure, or a BadValue error results.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`int` | `max_keypermod`
`com.sun.jna.Pointer` | `modifiermap`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`X11.XModifierKeymapRef()`

Method Summary

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### max_keypermod

    public int max_keypermod

### modifiermap

    public com.sun.jna.Pointer modifiermap

Constructor Detail

### X11.XModifierKeymapRef

    public X11.XModifierKeymapRef()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD